# Correlation Plot
Correlation plots can be used to quickly find insights. It is used to investigate the dependence between multiple variables at the same time and to highlight the most correlated variables in a data table. In this visual, correlation coefficients are colored according to the value. Correlation matrix can be also reordered according to the degree of association between variables or clustered using hierarchical clustering algorithm. The usage of this visual is very simple and intuitive.

<img src="http://nordata-cdn.oss-cn-shanghai.aliyuncs.com/biominer/corrplot/corrplot-logo-274x274.png" width="80%"/>

Here is how it works:

- Define numerical variables to be examined (two or more columns)
- Use numerous formatting controls to refine the visual apperance of the plot

## **Arguments**
- name<sup>*</sup>
The name of the corrplot chart.

- datafile<sup>*</sup>
Where is the data?

- corr_vars<sup>*</sup>
Which columns do you want to analyze?

- method
Optional, The visualization method of correlation matrix to be used. Allowed values are square (default), circle.

- corr_type
Optional, full (default), lower or upper display.

- hc_method
Optional, The agglomeration method to be used in hclust (see ?hclust).

- hc_order
Logical value. If TRUE, correlation matrix will be hc.ordered using hclust function.

- sig_level
Significant level, greater than 0 and less than 1.
